<?php	
	// load core files
	include("../../config.php");
	
	$settings = file_get_contents("settings.txt");
	$settings = json_decode($settings,true);
	
	if(isset($settings['showLivestream'])){
		$showLivestream = $settings['showLivestream'];
	}
	else{
		$showLivestream = 'true';		
	}
	
	if(isset($settings['livestreamURL'])){
		$livestreamURL = $settings['livestreamURL'];
	}
	else{
		$livestreamURL = '';
	}
	
	if(isset($settings['livestreamHeader'])){
		$livestreamHeader = $settings['livestreamHeader'];
	}
	else{
		$livestreamHeader = 'Live Stream';
	}
	
	include($baseURL."css/design.php");
	include($baseURL."header.php");
	

	?>
	<html>
	<head>
	<?php metaHeader() ?>	

	<base href="<?php echo $pageURL.$path?>">

	<style>
	html, body { height:100%; margin:0; padding:0; }
	.ui-dialog .ui-dialog-content {
    position: relative;
    border: 0;
    padding: 0 0;
    background: none;
    overflow: auto;
}
ui-dialog {
    overflow: hidden;
    position: absolute;
    top: 0;
    left: 0;
    padding: 0;
    outline: 0;
}
	
	
	</style>
	</head>
	<body style="background: #ffffff;text-align:center">
	<?php if($showLivestream=="true") { ?>
		<div id="livestreamDiv" ></div>
	<?php } ?>
	
	<script>
	function openCameraLive(){
			//dialogHeight = window.innerHeight;
			dialogHeight = screen.height;
			dialogWidth = window.innerWidth;
			livestreamurl = '<?php echo $livestreamURL?>';
			var $dialog = $('<div style="text-align:center;display:flex;overflow:hidden"></div>')
				.html('<iframe style="border: 0px; " src="'+livestreamurl+'&autoplay=1" allow="autoplay; encrypted-media" allowfullscreen="" width="100%" height="100%"></iframe>')
				.dialog({					
					autoOpen: false,
					draggable: false,
					resizable: false,
					//modal: true,
					height: dialogHeight,
					width: dialogWidth,
				open: function (event, ui) {
					$(".ui-dialog-titlebar-close", ui.dialog | ui).remove(); 
					$(".ui-dialog-titlebar", ui.dialog | ui).remove();
				}					
				});
			$dialog.dialog('open');
		}

	$(document).ready(function(){	 
		<?php if($showLivestream=="true") { ?>
		openCameraLive();		
		<?php } ?>
		
	});
	</script>
	</body>
	</html>

										
	
