<?php

	############################################################################
	# 	
	#	Meteotemplate
	# 	http://www.meteotemplate.com
	# 	Free website template for weather enthusiasts
	# 	Author: Jachym
	#           Brno, Czech Republic
	# 	First release: 2015
	#
	############################################################################
	#
	#	API Viewer
	#
	############################################################################
	#	Version and change log
	#
	# 	v1.0 - Jun 1, 2017
	# 		- initial release
	#
	############################################################################
	
	
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");

	if(!file_exists("settings.php")){
		echo "Missing settings file, create one using the plugin setup.";
		die();
	}
	else{
		include("settings.php");
	}
	
?>
<!DOCTYPE html>
<html>
	<head>
		<title>Mobile App</title>
		<?php metaHeader()?>
		<style>
		</style>
	</head>
	<body>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php");?>
		</div>
		<div id="main" style="text-align:center">
			<h1>Mobile App</h1>
			<h2>Placeholder for Google Play link to the app + information about <a href="https://www.elspinars.es/dev/app.php">the app</a></h2>
			<h2><a href="https://www.elspinars.es/dev/mt.apk" ><img style="vertical-align: middle;" src="https://www.elspinars.es/dev/download.svg" width="64" alt="Download latest version"/></a>

			<br><br>
		</div>		
		<?php include($baseURL."footer.php");?>
	</body>
</html>